export class Helpers {
    static GenerateUUID() {
        var d = new Date().getTime(); //Timestamp
        var d2 = ((typeof performance !== 'undefined') && performance.now && (performance.now() * 1000)) || 0; //Time in microseconds since page-load or 0 if unsupported
        return 'xxxxxxxx-xxxx-4xxx-yxxx-xxxxxxxxxxxx'.replace(/[xy]/g, function (c) {
            var r = Math.random() * 16; //random number between 0 and 16
            if (d > 0) { //Use timestamp until depleted
                r = (d + r) % 16 | 0;
                d = Math.floor(d / 16);
            }
            else { //Use microseconds since page-load if supported
                r = (d2 + r) % 16 | 0;
                d2 = Math.floor(d2 / 16);
            }
            return (c === 'x' ? r : (r & 0x3 | 0x8)).toString(16);
        });
    }
}
export class Task {
    static Delay(ms) {
        return new Promise(resolve => setTimeout(resolve, ms));
    }
}
/**
 * Alow to convert object eq. {key1: value1, key2:value2} to Map
 * T - map key type (type of names of keys, eq. key1)
 * K - map value type (type of values that contains given data)
 * @param data object
 */
export function ParseObjToMap(data) {
    return new Map(Object.entries(data));
}
//# sourceMappingURL=Helpers.js.map